<?php

if (file_exists('../../../dbconnect.php'))
{
    include('../../../dbconnect.php');
}
elseif (file_exists('../../../init.php'))
{
    define('WHMCSDBCONNECT', true);
    include('../../../init.php');
}
else
{
    die();
}
include('../../../includes/functions.php');
include('../../../includes/gatewayfunctions.php');
include('../../../includes/invoicefunctions.php');

$gatewaymodule = 'pos';
$GATEWAY = getGatewayVariables($gatewaymodule);
if (!$GATEWAY['type'])
{
    die('افزونه پوز ایران فعال نیست!؟');
}

$invoiceId = checkCbInvoiceID($_POST['order_id'], $GATEWAY['name']);
$result = select_query('tblinvoices', 'total', array("id" => $invoiceId));
list($amount) = mysql_fetch_array($result);
$payamount = intval(ceil($amount));
if($GATEWAY['currency'] == "irt")
{
    $payamount = $payamount * 10;
}
require_once(dirname(dirname(__FILE__)) . '/pos/pos_payment_helper.class.php');
$p = new Pos_Payment_Helper($GATEWAY['apiKey']);
$r = $p->paymentVerify($_POST, $payamount);
if ($r)
{
    checkCbTransID($p->txn_id);
    $message = "Payment Completed. OrderId : {$invoiceId} . PaymentReferenceId : {$p->txn_id}";
    addInvoicePayment($invoiceId, $p->txn_id, $amount, 0, $gatewaymodule);
    logTransaction($GATEWAY['name'], array_merge($_GET,$_POST,$r,$message,(array)$p), 'Successful');
}
else
{
    $message = $p->error;
    logTransaction($GATEWAY['name'], array_merge($_GET,$_POST,$r,$message,(array)$p), 'Unsuccessful');
}

header('location: '.$CONFIG['SystemURL'].'/viewinvoice.php?id='.$invoiceId);

?>